/* $Id: CVFreqDescriptor.cc,v 1.1 2003/08/05 12:57:53 andete Exp $

lemux - LADSPA instrument plugins based on openMSX devices

(c) 2003 Joost Yervante Damad <joost@lumatec.be>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include "CVFreqDescriptor.hh"
#include "LADSPAPluginInstance.hh"
#include "LADSPAPortDescriptor.hh"
#include "LADSPAPluginDescriptor.hh"
#include "CVFreqInstance.hh"

#include <string>
#include <sstream>

CVFreqDescriptor::CVFreqDescriptor()
:
	LADSPAPluginDescriptor
		(
			2061,
			std::string("CVFreq"),
			std::string("CV to Frequency convertor"),
			std::string("Joost Yervante Damad"),
			std::string("GPLv2")
		)
{
	LADSPAPortDescriptor *port1,*port2;

	port2 = new LADSPAPortDescriptor
		(
			std::string("Freq (Hz)"),
			
				LADSPAPortDescriptor::Output|
				LADSPAPortDescriptor::Audio ,
			
				LADSPAPortDescriptor::BoundedBelow |
				LADSPAPortDescriptor::BoundedAbove |
				LADSPAPortDescriptor::SampleRate   |
				LADSPAPortDescriptor::Logarithmic  |
				LADSPAPortDescriptor::Default440,

			0,
			0.5
		);

	port1 = new LADSPAPortDescriptor
		(
			std::string("Freq (CV)"),
			
				LADSPAPortDescriptor::Input   |
				LADSPAPortDescriptor::Audio ,
			
				LADSPAPortDescriptor::BoundedBelow |
				LADSPAPortDescriptor::BoundedAbove |
				LADSPAPortDescriptor::Default0,

			0,
			10
		);
	addPort(port1);
	addPort(port2);
}

CVFreqDescriptor::~CVFreqDescriptor()
{
}

LADSPAPluginInstance* CVFreqDescriptor::create(unsigned long SampleRate)
{
	return new CVFreqInstance(SampleRate);
}
